Package twisted :: Package protocols :: Module irc :: Class DccChatFactory

[show private | hide private]
[frames | no frames]

## Class DccChatFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   DccChatFactory

Method Summary
| `__init__(self, client, queryData)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| `clientConnectionFailed(self, unused_connector, unused_reason)`
| `clientConnectionLost(self, unused_connector, unused_reason)`
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `DccChat`
`int` | `noisy`

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Class Variable Details

### DccChat

`DccChat` = `twisted.protocols.irc.DccChat`

### noisy

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Sat Feb 15 21:19:13 2003 | http://epydoc.sf.net